1

Topic: FreeBSD 9.2: PYTHON_DEFAULT_VERSION error

While the compiler was running this error message was generated:

PYTHON_DEFAULT_VERSION is defined, consider using DEFAULT_VERSIONS=python=2.7 instead

Grepping for "PYTHON_DEFAULT_VERSION" returned this:

# grep PYTHON_DEFAULT_VERSION /etc/make.conf
# iRedMail-PYTHON_DEFAULT_VERSION
PYTHON_DEFAULT_VERSION=python2.7

The reason why this is generating an error is because of:

20131003:
  AFFECTS: users of lang/python* and ports
  AUTHOR: mva@FreeBSD.org

  The default versions of lang/python* have been changed to support the
  new DEFAULT_VERSIONS variable.

  PYTHON_DEFAULT_VERSION, PYTHON2_DEFAULT_VERSION and
  PYTHON3_DEFAULT_VERSION are deprecated. If you have set them in your
  make.conf, you should change them something like

  DEFAULT_VERSIONS=python=2.7 python2=2.7 python3=3.3

In the interim, what can I change to make this error message go away?

2

Re: FreeBSD 9.2: PYTHON_DEFAULT_VERSION error

I *finally* found it in ./iRedMail-0.8.5/functions/packages_freebsd.sh @ line 46:

freebsd_add_make_conf 'PYTHON_DEFAULT_VERSION' 'python2.7'

.. and I changed it to:

freebsd_add_make_conf 'DEFAULT_VERSION' 'python' '2.7'

3

Re: FreeBSD 9.2: PYTHON_DEFAULT_VERSION error

I think it should be:

freebsd_add_make_conf 'DEFAULT_VERSIONS' 'python=2.7 python2=2.7'

4

Re: FreeBSD 9.2: PYTHON_DEFAULT_VERSION error

ZhangHuangbin wrote:

I think it should be:

freebsd_add_make_conf 'DEFAULT_VERSIONS' 'python=2.7 python2=2.7'

Agreed.  Thanks for the feedback.